- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::VertexPoseKeyFrame Class Reference

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexPoseKeyFrame:
[legend]

List of all members.

## Public Types
typedef std::vector < PoseRef > | PoseRefList
typedef VectorIterator < PoseRefList > | PoseRefIterator
typedef ConstVectorIterator < PoseRefList > | ConstPoseRefIterator
## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexPoseKeyFrame ()
void | addPoseReference (ushort poseIndex, Real influence)
| Add a new pose reference.
void | updatePoseReference (ushort poseIndex, Real influence)
| Update the influence of a pose reference.
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose.
void | removeAllPoseReferences (void)
| Remove all pose references.
const PoseRefList & | getPoseReferences (void) const
| Get a const reference to the list of pose references.
PoseRefIterator | getPoseReferenceIterator (void)
| Get an iterator over the pose references.
ConstPoseRefIterator | getPoseReferenceIterator (void) const
| Get a const iterator over the pose references.
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.
## Protected Attributes
PoseRefList | mPoseRefs
Real | mTime
const AnimationTrack * | mParentTrack
## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

Definition at line 178 of file OgreKeyFrame.h.

## Member Typedef Documentation

typedef std::vector<PoseRef> Ogre::VertexPoseKeyFrame::PoseRefList

Definition at line 206 of file OgreKeyFrame.h.

typedef VectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::PoseRefIterator

Definition at line 227 of file OgreKeyFrame.h.

typedef ConstVectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::ConstPoseRefIterator

Definition at line 228 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time |
| ) |  |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |

Definition at line 183 of file OgreKeyFrame.h.

## Member Function Documentation

void Ogre::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | Real | influence |
| ) |  |  |

Add a new pose reference.

See also:
  PoseRef

void Ogre::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | Real | influence |
| ) |  |  |

Update the influence of a pose reference.

See also:
  PoseRef

void Ogre::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters:

  | poseIndex | The pose index (not the index of the reference)

void Ogre::VertexPoseKeyFrame::removeAllPoseReferences | ( | void |  | ) |

Remove all pose references.

const PoseRefList& Ogre::VertexPoseKeyFrame::getPoseReferences | ( | void |  | ) | const

Get a const reference to the list of pose references.

PoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) |

Get an iterator over the pose references.

ConstPoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) | const

Get a const iterator over the pose references.

KeyFrame* Ogre::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

Clone a keyframe (internal use only).

Reimplemented from Ogre::KeyFrame.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const`[inherited]`

Gets the time of this keyframe in the animation sequence.

Definition at line 60 of file OgreKeyFrame.h.

## Member Data Documentation

PoseRefList Ogre::VertexPoseKeyFrame::mPoseRefs`[protected]`

Definition at line 240 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime`[protected, inherited]`

Definition at line 67 of file OgreKeyFrame.h.

const AnimationTrack* Ogre::KeyFrame::mParentTrack`[protected, inherited]`

Definition at line 68 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:14 2008